> ## Documentation Index
> Fetch the complete documentation index at: https://v3.captaindata.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a Workflow



## OpenAPI

````yaml get /v3/workflows/{workflow_uid}/details
openapi: 3.0.2
info:
  title: Captain Data's Public API
  description: Captain Data's API v3
  version: 3.0.0
servers: []
security:
  - APIKeyHeader: []
    ProjectIdHeader: []
tags:
  - name: Workspace
    description: Endpoints related to workspace management
  - name: Users
    description: Endpoints related to users management
  - name: Integrations
    description: Endpoints related to integration accounts management
  - name: Workflows
    description: Endpoints related to running Workflows
  - name: Runs
    description: Endpoints related to fetching Run's Results & details
  - name: Inputs
    description: Endpoints related to fetching Run's Inputs
  - name: Webhooks
    description: Endpoints related to Webhooks management
paths:
  /v3/workflows/{workflow_uid}/details:
    get:
      tags:
        - Workflows
      summary: Get a Workflow
      operationId: v3_get_workflow
      parameters:
        - required: true
          schema:
            title: Workflow UID
            type: string
            format: uuid
          name: workflow_uid
          in: path
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SalesNavigatorWorkflow'
        '404':
          description: Resource not found
          content:
            application/json:
              example:
                detail: Not Found
              schema:
                type: object
                properties:
                  detail:
                    type: string
                    example: Not Found
                    description: >-
                      A detailed error message explaining the resource was not
                      found.
      security:
        - APIKeyHeader: []
          ProjectIdHeader: []
components:
  schemas:
    SalesNavigatorWorkflow:
      title: SalesNavigatorWorkflow
      type: object
      properties:
        name:
          type: string
          example: Search Sales Navigator Leads
          description: The name of the workflow.
        uid:
          type: string
          format: uuid
          example: xxxxxx-xxxx-4782-8d20-14a29ba0e546
          description: Unique identifier of the workflow.
        steps:
          type: array
          description: Steps involved in the workflow.
          items:
            type: object
            properties:
              step_uid:
                type: string
                format: uuid
                example: xxxxxxx-xxxx-490a-877c-3b4e420fbef5
                description: Unique identifier of the step.
              step_name:
                type: string
                example: Search Sales Navigator Leads
                description: The name of the step.
              position:
                type: integer
                example: 0
                description: The position of the step in the workflow.
              permalink:
                type: string
                example: linkedin-sales-navigator-people-search
                description: Permalink identifier for the step.
              integrations:
                type: array
                items:
                  type: string
                  example: linkedin
                description: List of integrations supported by the step.
              input_schema:
                type: object
                properties:
                  sales_navigator_profile_search_url:
                    type: object
                    properties:
                      regex:
                        type: object
                        description: Regex validation for the input.
                      help:
                        type: string
                        example: >-
                          A Sales Navigator Profile Search URL should start with
                          'https://www.linkedin.com/sales/search/people'
                        description: Help text for the input.
                      primary:
                        type: boolean
                        example: true
                        description: Indicates whether this input is the primary input.
                      required:
                        type: integer
                        example: 1
                        description: Indicates if the input is required.
                      variations:
                        type: array
                        items:
                          type: string
                        example:
                          - sales_navigator_employees_url
                          - url
                        description: Allowed variations of the input field.
                      retro_variations:
                        type: array
                        items:
                          type: string
                        example:
                          - sales_navigator_employees_url
                          - url
                        description: Retroactive variations of the input field.
              output_schema:
                type: array
                items:
                  type: string
                example:
                  - full_name
                  - first_name
                  - last_name
                  - company_name
                  - sales_navigator_company_id
                  - linkedin_profile_id
                  - connection_degree
                  - job_title
                  - headline
                  - profile_image_url
                  - sales_navigator_search_url
                  - sales_navigator_profile_url
                  - linkedin_profile_url
                  - sales_navigator_profile_id
                  - sales_navigator_company_url
                  - location
                  - position_started_at
                  - linkedin_people_post_search_url
                  - viewed
                  - tenure_start
                  - tenure_end
                  - tenure_length
                description: Fields included in the output schema.
              parameters_schema:
                type: object
                properties:
                  properties:
                    type: object
                    properties:
                      excludeViewedLeads:
                        type: boolean
                        default: false
                        description: >-
                          Remove viewed Leads from search; note that this option
                          only works if there's a 'Visit' step in your workflow.
                          If you entered a Saved Search, you will need to check
                          this box manually on Sales Navigator for it to be
                          taken into account.
                        title: Exclude Viewed Leads.
                      max_results:
                        type: integer
                        default: 100
                        minimum: 1
                        maximum: 2500
                        description: Maximum number of leads to extract per input.
                        title: Maximum Leads
                      excludeCRMContacts:
                        type: boolean
                        default: false
                        description: Exclude CRM contacts
                        title: Exclude CRM contacts.
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: Authorization
      description: >-
        The Authorization header must include 'x-api-key' followed by your API
        key (e.g., 'Authorization: x-api-key YOUR_API_KEY').
    ProjectIdHeader:
      type: apiKey
      in: header
      name: x-project-id
      description: Workspace UID required to identify the workspace.

````